Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/icarus.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/icarus.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/icarus.F90	(revision 5158)
@@ -135,8 +135,8 @@
     
     if (debugcol.ne.0) then
-       do j=1,npoints,debugcol
+       DO j=1,npoints,debugcol
           
           ! Produce character output
-          do ilev=1,nlev
+          DO ilev=1,nlev
              acc(ilev,1:ncol)=frac_out(j,1:ncol,ilev)*2
              where(levmatch(j,1:ncol) .eq. ilev) acc(ilev,1:ncol)=acc(ilev,1:ncol)+1
@@ -151,5 +151,5 @@
           write(9,'(a1)') ' '
           
-          do ibox=1,ncol
+          DO ibox=1,ncol
              write(9,'(40(a1),1x,40(a1))') &
                   (cchar_realtops(acc(ilev,ibox)+1),ilev=1,nlev),&
@@ -231,5 +231,5 @@
        itrop(1:npoints)     = 1
 
-       do ilev=1,nlev
+       DO ilev=1,nlev
           where(pfull(1:npoints,ilev) .lt. 40000. .and. &
                 pfull(1:npoints,ilev) .gt.  5000. .and. &
@@ -242,5 +242,5 @@
        enddo
 
-       do ilev=1,nlev
+       DO ilev=1,nlev
           atmax(1:npoints) = merge(at(1:npoints,ilev),atmax(1:npoints),&
                at(1:npoints,ilev) .gt. atmax(1:npoints) .and. ilev  .ge. itrop(1:npoints))
@@ -256,5 +256,5 @@
        ! at a wavenumber of 955 cm-1, or 10.47 microns 
        ! ############################################################################
-       do ilev=1,nlev
+       DO ilev=1,nlev
           press(1:npoints)  = pfull(1:npoints,ilev)*10._wp
           dpress(1:npoints) = (phalf(1:npoints,ilev+1)-phalf(1:npoints,ilev))*10
@@ -273,5 +273,5 @@
        fluxtop_clrsky(1:npoints)            = 0._wp
        trans_layers_above_clrsky(1:npoints) = 1._wp
-       do ilev=1,nlev
+       DO ilev=1,nlev
           ! Black body emission at temperature of the layer
           bb(1:npoints) = 1._wp / ( exp(1307.27_wp/at(1:npoints,ilev)) - 1._wp )
@@ -300,9 +300,9 @@
        fluxtop(1:npoints,1:ncol)            = 0._wp
        trans_layers_above(1:npoints,1:ncol) = 1._wp
-       do ilev=1,nlev
+       DO ilev=1,nlev
           ! Black body emission at temperature of the layer
           bb=1._wp/(exp(1307.27_wp/at(1:npoints,ilev)) - 1._wp)
           
-          do ibox=1,ncol
+          DO ibox=1,ncol
              ! Emissivity
              dem(1:npoints,ibox) = merge(dem_wv(1:npoints,ilev), &
@@ -320,5 +320,5 @@
        ! Add in surface emission
        bb(1:npoints)=1._wp/( exp(1307.27_wp/skt(1:npoints)) - 1._wp )
-       do ibox=1,ncol
+       DO ibox=1,ncol
           fluxtop(1:npoints,ibox) = fluxtop(1:npoints,ibox) + emsfc_lw*bb(1:npoints)*trans_layers_above(1:npoints,ibox) 
        end do
@@ -344,10 +344,10 @@
        btcmin(1:npoints) = 1._wp /  ( exp(1307.27_wp/(attrop(1:npoints)-5._wp)) - 1._wp ) 
 
-       do ibox=1,ncol
+       DO ibox=1,ncol
           transmax(1:npoints) = (fluxtop(1:npoints,ibox)-btcmin) /(fluxtop_clrsky(1:npoints)-btcmin(1:npoints))
           tauir(1:npoints)    = tau(1:npoints,ibox)/2.13_wp
           taumin(1:npoints)   = -log(max(min(transmax(1:npoints),0.9999999_wp),0.001_wp))
           if (isccp_top_height .eq. 1) then
-             do j=1,npoints  
+             DO j=1,npoints
                 if (transmax(j) .gt. 0.001 .and.  transmax(j) .le. 0.9999999) then
                    fluxtopinit(j) = fluxtop(j,ibox)
@@ -355,6 +355,6 @@
                 endif
              enddo
-             do icycle=1,2
-                do j=1,npoints  
+             DO icycle=1,2
+                DO j=1,npoints
                    if (tau(j,ibox) .gt. (tauchk)) then 
                       if (transmax(j) .gt. 0.001 .and.  transmax(j) .le. 0.9999999) then
@@ -397,5 +397,5 @@
     ! pressure (isccp_top_height = 1 or 3)
     ! ####################################################################################
-    do ibox=1,ncol
+    DO ibox=1,ncol
        !segregate according to optical thickness
        if (isccp_top_height .eq. 1 .or. isccp_top_height .eq. 3) then  
@@ -403,7 +403,7 @@
           ! Find level whose temperature most closely matches brightness temperature
           nmatch(1:npoints)=0
-          do k1=1,nlev-1
+          DO k1=1,nlev-1
              ilev = merge(nlev-k1,k1,isccp_top_height_direction .eq. 2)        
-             do j=1,npoints 
+             DO j=1,npoints
                 if (ilev           .ge. itrop(j)     .and. &
                      ((at(j,ilev)  .ge. tb(j,ibox)   .and. &  
@@ -417,5 +417,5 @@
           enddo
 
-          do j=1,npoints 
+          DO j=1,npoints
              if (nmatch(j) .ge. 1) then
                 k1 = match(j,nmatch(j))
@@ -440,5 +440,5 @@
        else
           ptop(1:npoints,ibox)=0.
-          do ilev=1,nlev
+          DO ilev=1,nlev
              where((ptop(1:npoints,ibox) .eq. 0. ) .and.(frac_out(1:npoints,ibox,ilev) .ne. 0))
                 ptop(1:npoints,ibox)=phalf(1:npoints,ilev)
@@ -458,6 +458,6 @@
     boxtau(1:npoints,1:ncol)  = output_missing_value
     boxptop(1:npoints,1:ncol) = output_missing_value
-    do ibox=1,ncol
-       do j=1,npoints 
+    DO ibox=1,ncol
+       DO j=1,npoints
           if (tau(j,ibox) .gt. (tauchk) .and. ptop(j,ibox) .gt. 0.) then
              if (sunlit(j).eq.1 .or. isccp_top_height .eq. 3) then
@@ -532,10 +532,10 @@
     ! Reset frequencies
     !fq_isccp = spread(spread(merge(0._wp,output_missing_value,sunlit .eq. 1 .or. isccp_top_height .eq. 3),2,7),2,7)
-    do ilev=1,7
-       do ilev2=1,7
-          do j=1,npoints ! 
+    DO ilev=1,7
+       DO ilev2=1,7
+          DO j=1,npoints !
              if (sunlit(j).eq.1 .or. isccp_top_height .eq. 3) then 
                 fq_isccp(j,ilev,ilev2)= 0.
-	     else 
+         else
                 fq_isccp(j,ilev,ilev2)= output_missing_value
              end if
@@ -559,5 +559,5 @@
     
     ! Compute column quantities and joint-histogram
-    do j=1,npoints 
+    DO j=1,npoints
        ! Subcolumns that are cloudy(true) and not(false)
        box_cloudy2(1:ncol) = merge(.true.,.false.,boxtau(j,1:ncol) .gt. tauchk .and. boxptop(j,1:ncol) .gt. 0.)
@@ -633,5 +633,5 @@
     
     varOUT(1:dim1,1:dim2,1:dim3) = 0._wp
-    do j=1,dim2
+    DO j=1,dim2
        where(flag(:,j,:) .eq. 1)
           varOUT(:,j,:) = varIN2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/lidar_simulator.F90	(revision 5158)
@@ -175,5 +175,5 @@
     ! PLANE PARRALLEL FIELDS
     ! ####################################################################################
-    do icol=1,ncolumns
+    DO icol=1,ncolumns
        ! #################################################################################
        ! *) Total Backscatter signal
@@ -200,5 +200,5 @@
     ! ####################################################################################
     if (lphaseoptics) then
-       do icol=1,ncolumns
+       DO icol=1,ncolumns
           ! #################################################################################
           ! *) Ice/Liq Perpendicular Backscatter signal
@@ -206,5 +206,5 @@
           ! Computation of ATBperp,ice/liq from ATBice/liq including the multiple scattering 
           ! contribution (Cesana and Chepfer 2013, JGR)
-          do k=1,nlev
+          DO k=1,nlev
              ! Ice particles
              pnorm_perp_ice(1:npoints,icol,k) = Alpha * pnorm_ice(1:npoints,icol,k)
@@ -242,5 +242,5 @@
           
           ! Other layers
-          do k=2,nlev
+          DO k=2,nlev
              ! Optical thickness of layer k
              tautot_lay(1:npoints) = tautot(1:npoints,icol,k)-tautot(1:npoints,icol,k-1) 
@@ -398,5 +398,5 @@
     ! Compute LIDAR scattering ratio
     if (use_vgrid) then
-       do ic = 1, ncol
+       DO ic = 1, ncol
           pnorm_c = pnormFlip(:,ic,:)
           where ((pnorm_c .lt. xmax) .and. (betamolFlip(:,1,:) .lt. xmax) .and.          &
@@ -427,5 +427,5 @@
        endif
     else
-       do ic = 1, ncol
+       DO ic = 1, ncol
           pnorm_c = pnorm(:,ic,:)
           where ((pnorm_c.lt.xmax) .and. (pmol.lt.xmax) .and. (pmol.gt. 0.0 ))
@@ -458,6 +458,6 @@
     if (ok_lidar_cfad) then
        ! CFADs of subgrid-scale lidar scattering ratios
-       do i=1,Npoints
-          do j=1,llm
+       DO i=1,Npoints
+          DO j=1,llm
              cfad2(i,:,j) = hist1D(ncol,x3d(i,:,j),SR_BINS,histBsct)
           enddo
@@ -499,5 +499,5 @@
 
     ! Other layers
-    do k=2,nlev
+    DO k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1) 
        WHERE (tautot_lay(:) .gt. 0.)
@@ -527,5 +527,5 @@
     epsrealwp = epsilon(1._wp)
     beta(:,1) = pnorm(:,1) * (2._wp*tau(:,1))/(1._wp-exp(-2._wp*tau(:,1)))
-    do k=2,nlev
+    DO k=2,nlev
        tautot_lay(:) = tau(:,k)-tau(:,k-1)       
        WHERE ( EXP(-2._wp*tau(:,k-1)) .gt. epsrealwp )
@@ -569,5 +569,5 @@
        zeta50    = -9.4776e-07_wp    ! 
        
-	! Inputs
+    ! Inputs
     integer,intent(in) :: &
        Npoints,  & ! Number of gridpoints
@@ -576,5 +576,5 @@
        Ncat,     & ! Number of cloud layer types
        Nphase      ! Number of cloud layer phase types
-	               ! [ice,liquid,undefined,false ice,false liquid,Percent of ice]
+                   ! [ice,liquid,undefined,false ice,false liquid,Percent of ice]
     real(wp),intent(in) :: &
        S_att,    & !
@@ -590,5 +590,5 @@
        pplay       ! Pressure
 
-	! Outputs
+    ! Outputs
     real(wp),intent(out),dimension(Npoints,Ntemp,5) :: &
        lidarcldtemp  ! 3D Temperature 1=tot,2=ice,3=liq,4=undef,5=ice/ice+liq
@@ -625,5 +625,5 @@
              
     ! ####################################################################################
-	! 1) Initialize    
+    ! 1) Initialize
     ! ####################################################################################
     lidarcld              = 0._wp
@@ -648,5 +648,5 @@
     ! 2) Cloud detection
     ! ####################################################################################
-    do k=1,Nlevels
+    DO k=1,Nlevels
        ! Cloud detection at subgrid-scale:
        where ((x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
@@ -671,12 +671,12 @@
     cldlay   = 0._wp
     nsublay  = 0._wp
-    do k=1,Nlevels
-       do ic = 1, Ncolumns
-          do ip = 1, Npoints
+    DO k=1,Nlevels
+       DO ic = 1, Ncolumns
+          DO ip = 1, Npoints
           
              ! Computation of the cloud fraction as a function of the temperature instead
              ! of height, for ice,liquid and all clouds
              if(srok(ip,ic,k).gt.0.)then
-                do itemp=1,Ntemp
+                DO itemp=1,Ntemp
                    if( (tmp(ip,k).ge.tempmod(itemp)).and.(tmp(ip,k).lt.tempmod(itemp+1)) )then
                       lidarcldtempind(ip,itemp)=lidarcldtempind(ip,itemp)+1._wp
@@ -686,5 +686,5 @@
              
              if(cldy(ip,ic,k).eq.1.)then
-                do itemp=1,Ntemp 
+                DO itemp=1,Ntemp
                    if( (tmp(ip,k) .ge. tempmod(itemp)).and.(tmp(ip,k) .lt. tempmod(itemp+1)) )then
                       lidarcldtemp(ip,itemp,1)=lidarcldtemp(ip,itemp,1)+1._wp
@@ -723,6 +723,6 @@
     cldlayer  = 0._wp
     nsublayer = 0._wp
-    do iz = 1, Ncat
-       do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO ic = 1, Ncolumns
           cldlayer(:,iz)  = cldlayer(:,iz)  + cldlay(:,ic,iz)
           nsublayer(:,iz) = nsublayer(:,iz) + nsublay(:,ic,iz)
@@ -742,7 +742,7 @@
     ! 4.1) For Cloudy pixels with 8.16km < z < 19.2km
     ! ####################################################################################
-    do ncol=1,Ncolumns
-       do i=1,Npoints          
-          do nlev=1,23 ! from 19.2km until 8.16km
+    DO ncol=1,Ncolumns
+       DO i=1,Npoints
+          DO nlev=1,23 ! from 19.2km until 8.16km
                p1 = pplay(1,nlev)
 
@@ -856,5 +856,5 @@
           ! ##############################################################################
           toplvlsat = 0
-          do nlev=24,Nlevels! from 8.16km until 0km
+          DO nlev=24,Nlevels! from 8.16km until 0km
              p1 = pplay(i,nlev)
 
@@ -979,5 +979,5 @@
           ! ##############################################################################
           if(toplvlsat.ne.0) then
-             do nlev = toplvlsat,Nlevels
+             DO nlev = toplvlsat,Nlevels
                 p1 = pplay(i,nlev)
                 if(cldy(i,ncol,nlev).eq.1.)then
@@ -1031,7 +1031,7 @@
 
     ! Compute Phase low mid high cloud fractions
-    do iz = 1, Ncat
-       do i=1,Nphase-3
-          do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO i=1,Nphase-3
+          DO ic = 1, Ncolumns
              cldlayerphase(:,iz,i)  = cldlayerphase(:,iz,i)  + cldlayphase(:,ic,iz,i)
              cldlayerphasesum(:,iz) = cldlayerphasesum(:,iz) + cldlayphase(:,ic,iz,i)
@@ -1039,7 +1039,7 @@
        enddo
     enddo
-    do iz = 1, Ncat
-       do i=4,5
-          do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO i=4,5
+          DO ic = 1, Ncolumns
              cldlayerphase(:,iz,i) = cldlayerphase(:,iz,i) + cldlayphase(:,ic,iz,i)
           enddo
@@ -1055,5 +1055,5 @@
     ENDWHERE
     
-    do i=1,Nphase-1
+    DO i=1,Nphase-1
        WHERE ( cldlayerphasesum(:,:).gt.0.0 )
           cldlayerphase(:,:,i) = (cldlayerphase(:,:,i)/cldlayerphasesum(:,:)) * cldlayer(:,:)
@@ -1061,10 +1061,10 @@
     enddo
     
-    do i=1,Npoints
-       do iz=1,Ncat
+    DO i=1,Npoints
+       DO iz=1,Ncat
           checkcldlayerphase=0.
           checkcldlayerphase2=0.
           if (cldlayerphasesum(i,iz) .gt. 0.0 )then
-             do ic=1,Nphase-3
+             DO ic=1,Nphase-3
                 checkcldlayerphase = checkcldlayerphase+cldlayerphase(i,iz,ic)
              enddo
@@ -1075,5 +1075,5 @@
     enddo
     
-    do i=1,Nphase-1
+    DO i=1,Nphase-1
        WHERE (nsublayer(:,:) .eq. 0.0)
           cldlayerphase(:,:,i) = undef
@@ -1082,8 +1082,8 @@
  
     ! Compute Phase 3D as a function of temperature
-    do nlev=1,Nlevels
-       do ncol=1,Ncolumns
-          do i=1,Npoints
-             do itemp=1,Ntemp
+    DO nlev=1,Nlevels
+       DO ncol=1,Ncolumns
+          DO i=1,Npoints
+             DO itemp=1,Ntemp
                 if(tmpi(i,ncol,nlev).gt.0.)then
                    if((tmpi(i,ncol,nlev) .ge. tempmod(itemp)) .and. (tmpi(i,ncol,nlev) .lt. tempmod(itemp+1)) )then
@@ -1105,6 +1105,6 @@
     
     ! Check temperature cloud fraction
-    do i=1,Npoints
-       do itemp=1,Ntemp
+    DO i=1,Npoints
+       DO itemp=1,Ntemp
           checktemp=lidarcldtemp(i,itemp,2)+lidarcldtemp(i,itemp,3)+lidarcldtemp(i,itemp,4)
           !if(checktemp .NE. lidarcldtemp(i,itemp,1))then
@@ -1124,5 +1124,5 @@
     ENDWHERE
     
-    do i=1,4
+    DO i=1,4
        WHERE(lidarcldtempind(:,:) .gt. 0.)
           lidarcldtemp(:,:,i) = lidarcldtemp(:,:,i)/lidarcldtempind(:,:)
@@ -1191,5 +1191,5 @@
     ! 2) Cloud detection
     ! ####################################################################################
-    do k=1,Nlevels
+    DO k=1,Nlevels
        ! Cloud detection at subgrid-scale:
        where ((x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
@@ -1210,7 +1210,7 @@
     ! 3) Grid-box 3D cloud fraction and layered cloud fractions(ISCCP pressure categories)
     ! ####################################################################################
-    do k=1,Nlevels
-       do ic = 1, Ncolumns
-          do ip = 1, Npoints
+    DO k=1,Nlevels
+       DO ic = 1, Ncolumns
+          DO ip = 1, Npoints
 
              iz=1
@@ -1244,6 +1244,6 @@
     cldlayer  = 0._wp
     nsublayer = 0._wp
-    do iz = 1, Ncat
-       do ic = 1, Ncolumns
+    DO iz = 1, Ncat
+       DO ic = 1, Ncolumns
           cldlayer(:,iz)  = cldlayer(:,iz)  + cldlay(:,ic,iz)
           nsublayer(:,iz) = nsublayer(:,iz) + nsublay(:,ic,iz)
@@ -1272,5 +1272,5 @@
        eta = 0.6_wp            ! Multiple-scattering factor (Vaillant de Guelis et al. 2017a, AMT)
 
-	! Inputs
+    ! Inputs
     integer,intent(in) :: &
        Npoints,  & ! Number of gridpoints
@@ -1291,5 +1291,5 @@
        surfelev    ! Surface Elevation (SE)
 
-	! Outputs
+    ! Outputs
     real(wp),intent(out),dimension(Npoints,Nlevels,Ntype+1) :: &
        lidarcldtype   ! 3D OPAQ product fraction (opaque clouds, thin clouds, z_opaque, opacity)
@@ -1324,5 +1324,5 @@
 
     ! ####################################################################################
-	! 1) Initialize    
+    ! 1) Initialize
     ! ####################################################################################
     cldtype(:,:)          = 0._wp
@@ -1342,5 +1342,5 @@
     ! 2) Cloud detection and Fully attenuated layer detection
     ! ####################################################################################
-    do k=1,Nlevels
+    DO k=1,Nlevels
        ! Cloud detection at subgrid-scale:
        where ( (x(:,:,k) .gt. S_cld) .and. (x(:,:,k) .ne. undef) )
@@ -1375,7 +1375,7 @@
     ! ####################################################################################
 
-    do k=1,Nlevels
-       do ic = 1, Ncolumns
-          do ip = 1, Npoints
+    DO k=1,Nlevels
+       DO ic = 1, Ncolumns
+          DO ip = 1, Npoints
 
              cldlay(ip,ic,1)   = MAX(cldlay(ip,ic,1),cldyopaq(ip,ic,k)) ! Opaque cloud
@@ -1393,32 +1393,32 @@
 
 ! OPAQ variables
-     do ic = 1, Ncolumns
-        do ip = 1, Npoints
+     DO ic = 1, Ncolumns
+        DO ip = 1, Npoints
 
      ! Declaring non-opaque cloudy profiles as thin cloud profiles
-	   if ( cldlay(ip,ic,4).gt. 0. .and. cldlay(ip,ic,1) .eq. 0. ) then
-	      cldlay(ip,ic,2)  =  1._wp
- 	   endif
+       if ( cldlay(ip,ic,4).gt. 0. .and. cldlay(ip,ic,1) .eq. 0. ) then
+          cldlay(ip,ic,2)  =  1._wp
+        endif
 
      ! Filling in 3D and 2D variables
 
      ! Opaque cloud profiles
-	   if ( cldlay(ip,ic,1) .eq. 1. ) then
-	      zopac = 0._wp
-	      z_top = 0._wp
-	      do k=1,Nlevels-1
+       if ( cldlay(ip,ic,1) .eq. 1. ) then
+          zopac = 0._wp
+          z_top = 0._wp
+          DO k=1,Nlevels-1
      ! Declaring z_opaque altitude and opaque cloud fraction for 3D and 2D variables
      ! From SFC-2-TOA ( actually from vgrid_z(SFC+1) = vgrid_z(Nlevels-1) )
-	         if ( cldy(ip,ic,Nlevels-k) .eq. 1. .and. zopac .eq. 0. ) then
-		    lidarcldtype(ip,Nlevels-k + 1,3) = lidarcldtype(ip,Nlevels-k + 1,3) + 1._wp
-		    cldlay(ip,ic,3)                  = vgrid_z(Nlevels-k+1)      ! z_opaque altitude
-		    nsublay(ip,ic,3)                 = 1._wp
-		    zopac = Nlevels-k+1                        ! z_opaque vertical index on vgrid_z
-		 endif
-	         if ( cldy(ip,ic,Nlevels-k) .eq. 1. ) then
-		    lidarcldtype(ip,Nlevels-k ,1)    = lidarcldtype(ip,Nlevels-k ,1) + 1._wp
-		    z_top = Nlevels-k    ! top cloud layer vertical index on vgrid_z
+             if ( cldy(ip,ic,Nlevels-k) .eq. 1. .and. zopac .eq. 0. ) then
+            lidarcldtype(ip,Nlevels-k + 1,3) = lidarcldtype(ip,Nlevels-k + 1,3) + 1._wp
+            cldlay(ip,ic,3)                  = vgrid_z(Nlevels-k+1)      ! z_opaque altitude
+            nsublay(ip,ic,3)                 = 1._wp
+            zopac = Nlevels-k+1                        ! z_opaque vertical index on vgrid_z
+         endif
+             if ( cldy(ip,ic,Nlevels-k) .eq. 1. ) then
+            lidarcldtype(ip,Nlevels-k ,1)    = lidarcldtype(ip,Nlevels-k ,1) + 1._wp
+            z_top = Nlevels-k    ! top cloud layer vertical index on vgrid_z
                  endif
-	      enddo
+          enddo
      ! Summing opaque cloud mean temperatures and altitudes
      ! as defined in Vaillant de Guelis et al. 2017a, AMT
@@ -1432,44 +1432,44 @@
                  cldlay(ip,ic,1) = 0
               endif
-	   endif
+       endif
 
      ! Thin cloud profiles
-	   if ( cldlay(ip,ic,2) .eq. 1. ) then
-	      topcloud = 0._wp
-	      z_top = 0._wp
-	      z_base = 0._wp
-	      do k=1,Nlevels
+       if ( cldlay(ip,ic,2) .eq. 1. ) then
+          topcloud = 0._wp
+          z_top = 0._wp
+          z_base = 0._wp
+          DO k=1,Nlevels
      ! Declaring thin cloud fraction for 3D variable
      ! From TOA-2-SFC
                  if ( cldy(ip,ic,k) .eq. 1. .and. topcloud .eq. 1. ) then
                     lidarcldtype(ip,k,2) = lidarcldtype(ip,k,2) + 1._wp
-		    z_base = k ! bottom cloud layer
+            z_base = k ! bottom cloud layer
                  endif
-	         if ( cldy(ip,ic,k) .eq. 1. .and. topcloud .eq. 0. ) then
+             if ( cldy(ip,ic,k) .eq. 1. .and. topcloud .eq. 0. ) then
                     lidarcldtype(ip,k,2) = lidarcldtype(ip,k,2) + 1._wp
-		    z_top = k  ! top cloud layer
-		    z_base = k ! bottom cloud layer
+            z_top = k  ! top cloud layer
+            z_base = k ! bottom cloud layer
                     topcloud = 1._wp
-		 endif
-	      enddo
+         endif
+          enddo
      ! Computing mean emissivity using layers below the bottom cloud layer to the surface
-     	      srmean = 0._wp
-	      srcount = 0._wp
-	      cloudemis = 0._wp
-     	      do k=z_base+1,Nlevels
-	         if (  (x(ip,ic,k) .gt. S_att_opaq) .and. (x(ip,ic,k) .lt. 1.0) .and. (x(ip,ic,k) .ne. undef)  ) then
-		    srmean = srmean + x(ip,ic,k)
-		    srcount = srcount + 1.
+               srmean = 0._wp
+          srcount = 0._wp
+          cloudemis = 0._wp
+               DO k=z_base+1,Nlevels
+             if (  (x(ip,ic,k) .gt. S_att_opaq) .and. (x(ip,ic,k) .lt. 1.0) .and. (x(ip,ic,k) .ne. undef)  ) then
+            srmean = srmean + x(ip,ic,k)
+            srcount = srcount + 1.
                  endif
-	      enddo
-	      ! If clear sky layers exist below bottom cloud layer
-	      if ( srcount .gt. 0. ) then
-	      	 trans2 = srmean/srcount              ! thin cloud transmittance**2
-	      	 tau_app = -(log(trans2))/2.          ! apparent cloud optical depth
-	      	 tau_vis = tau_app/eta                ! cloud visible optical depth (multiple scat.)
-	      	 tau_ir = tau_vis/2.                  ! approx. relation between visible and IR ODs
-	      	 cloudemis = 1. - exp(-tau_ir)        ! no diffusion in IR considered : emis = 1-T
-		 count_emis(ip) = count_emis(ip) + 1.
-	      endif
+          enddo
+          ! If clear sky layers exist below bottom cloud layer
+          if ( srcount .gt. 0. ) then
+               trans2 = srmean/srcount              ! thin cloud transmittance**2
+               tau_app = -(log(trans2))/2.          ! apparent cloud optical depth
+               tau_vis = tau_app/eta                ! cloud visible optical depth (multiple scat.)
+               tau_ir = tau_vis/2.                  ! approx. relation between visible and IR ODs
+               cloudemis = 1. - exp(-tau_ir)        ! no diffusion in IR considered : emis = 1-T
+         count_emis(ip) = count_emis(ip) + 1.
+          endif
      ! Summing thin cloud mean temperatures and altitudes
      ! as defined in Vaillant de Guelis et al. 2017a, AMT
@@ -1500,18 +1500,18 @@
     ! 3D opacity fraction (=4) !Summing z_opaque fraction from TOA(k=1) to SFC(k=Nlevels)
        lidarcldtype(:,1,4) = lidarcldtype(:,1,3) !top layer equal to 3D z_opaque fraction
-    do ip = 1, Npoints
-     	do k = 2, Nlevels
+    DO ip = 1, Npoints
+         DO k = 2, Nlevels
             if ( (lidarcldtype(ip,k,3) .ne. undef) .and. (lidarcldtype(ip,k-1,4) .ne. undef) ) then
-	        lidarcldtype(ip,k,4) = lidarcldtype(ip,k,3) + lidarcldtype(ip,k-1,4)
-	    else
-	        lidarcldtype(ip,k,4) = undef
-	    endif
-	enddo
+            lidarcldtype(ip,k,4) = lidarcldtype(ip,k,3) + lidarcldtype(ip,k-1,4)
+        else
+            lidarcldtype(ip,k,4) = undef
+        endif
     enddo
+    enddo
 
     ! Layered cloud types (opaque, thin and z_opaque 2D variables)
 
-    do iz = 1, Ntype
-       do ic = 1, Ncolumns
+    DO iz = 1, Ntype
+       DO ic = 1, Ncolumns
           cldtype(:,iz)  = cldtype(:,iz)  + cldlay(:,ic,iz)
           nsublayer(:,iz) = nsublayer(:,iz) + nsublay(:,ic,iz)
